Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.mime
Class TikaMIMETypeDetectorTest

    java.lang.Object
      org.apache.any23.mime.TikaMIMETypeDetectorTest

    public class TikaMIMETypeDetectorTest

extends Object

Test case for `TikaMIMETypeDetector` class.

Author:
  juergen, Michele Mostarda (michele.mostarda@gmail.com)

Constructor Summary
`TikaMIMETypeDetectorTest()`

Method Summary
`void` | `setUp()`
`void` | `tearDown()`
`void` | `testAtomByContentAndName()`
`void` | `testCSVByContentAndName()`
`void` | `testDetectApplicationCSVByMeta()`
`void` | `testDetectApplicationXMLByMeta()`
`void` | `testDetectAtomByContent()`
`void` | `testDetectContentPlainByMeta()`
`void` | `testDetectCSVByContent()`
`void` | `testDetectExtensionN3ByMeta()`
`void` | `testDetectHTMLByContent()`
`void` | `testDetectRDFaByContent()`
`void` | `testDetectRDFN3ByContent()`
`void` | `testDetectRDFN3ByContentAndName()`
`void` | `testDetectRDFNQuadsByContent()`
`void` | `testDetectRDFNQuadsByContentAndName()`
`void` | `testDetectRDFXMLByContent()`
`void` | `testDetectRDFXMLByMeta()`
`void` | `testDetectRSS1ByContent()`
`void` | `testDetectRSS2ByContent()`
`void` | `testDetectTextHTMLByMeta()`
`void` | `testDetectTextN3ByMeta()`
`void` | `testDetectTextNQuadsByMeta()`
`void` | `testDetectTextPlainByMeta()`
`void` | `testDetectTextRDFByMeta()`
`void` | `testDetectTextTurtleByMeta()`
`void` | `testDetectTriXByContent()`
`void` | `testDetectTriXByMeta()`
`void` | `testDetectWSDLByContent()`
`void` | `testDetectXHTMLByContent()`
`void` | `testDetectXHTMLByMeta()`
`void` | `testDetectXMLByMeta()`
`void` | `testDetectZIPByContent()`
`void` | `testHTMLByContentAndName()`
`void` | `testN3Detection()`
`void` | `testNQuadsDetection()`
`void` | `testRDFaByContentAndName()`
`void` | `testRDFXMLByContentAndName()`
`void` | `testRSS1ByContentAndName()`
`void` | `testRSS2ByContentAndName()`
`void` | `testTriXByContentAndName()`
`void` | `testWSDLByContentAndName()`
`void` | `testXHTMLByContentAndName()`
`void` | `testZipByContentAndName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TikaMIMETypeDetectorTest

    public TikaMIMETypeDetectorTest()

Method Detail

### setUp

    public void setUp()
               throws Exception

  Throws:
    `Exception`

### tearDown

    public void tearDown()
                  throws Exception

  Throws:
    `Exception`

### testN3Detection

    public void testN3Detection()
                         throws IOException

  Throws:
    `IOException`

### testNQuadsDetection

    public void testNQuadsDetection()
                             throws IOException

  Throws:
    `IOException`

### testDetectRSS1ByContent

    public void testDetectRSS1ByContent()
                                 throws Exception

  Throws:
    `Exception`

### testDetectRSS2ByContent

    public void testDetectRSS2ByContent()
                                 throws Exception

  Throws:
    `Exception`

### testDetectRDFN3ByContent

    public void testDetectRDFN3ByContent()
                                  throws Exception

  Throws:
    `Exception`

### testDetectRDFNQuadsByContent

    public void testDetectRDFNQuadsByContent()
                                      throws Exception

  Throws:
    `Exception`

### testDetectRDFXMLByContent

    public void testDetectRDFXMLByContent()
                                   throws Exception

  Throws:
    `Exception`

### testDetectTriXByContent

    public void testDetectTriXByContent()
                                 throws Exception

  Throws:
    `Exception`

### testDetectAtomByContent

    public void testDetectAtomByContent()
                                 throws Exception

  Throws:
    `Exception`

### testDetectHTMLByContent

    public void testDetectHTMLByContent()
                                 throws Exception

  Throws:
    `Exception`

### testDetectRDFaByContent

    public void testDetectRDFaByContent()
                                 throws Exception

  Throws:
    `Exception`

### testDetectXHTMLByContent

    public void testDetectXHTMLByContent()
                                  throws Exception

  Throws:
    `Exception`

### testDetectWSDLByContent

    public void testDetectWSDLByContent()
                                 throws Exception

  Throws:
    `Exception`

### testDetectZIPByContent

    public void testDetectZIPByContent()
                                throws Exception

  Throws:
    `Exception`

### testDetectCSVByContent

    public void testDetectCSVByContent()
                                throws Exception

  Throws:
    `Exception`

### testDetectContentPlainByMeta

    public void testDetectContentPlainByMeta()
                                      throws IOException

  Throws:
    `IOException`

### testDetectTextRDFByMeta

    public void testDetectTextRDFByMeta()
                                 throws IOException

  Throws:
    `IOException`

### testDetectTextN3ByMeta

    public void testDetectTextN3ByMeta()
                                throws IOException

  Throws:
    `IOException`

### testDetectTextNQuadsByMeta

    public void testDetectTextNQuadsByMeta()
                                    throws IOException

  Throws:
    `IOException`

### testDetectTextTurtleByMeta

    public void testDetectTextTurtleByMeta()
                                    throws IOException

  Throws:
    `IOException`

### testDetectRDFXMLByMeta

    public void testDetectRDFXMLByMeta()
                                throws IOException

  Throws:
    `IOException`

### testDetectXMLByMeta

    public void testDetectXMLByMeta()
                             throws IOException

  Throws:
    `IOException`

### testDetectTriXByMeta

    public void testDetectTriXByMeta()
                              throws IOException

  Throws:
    `IOException`

### testDetectExtensionN3ByMeta

    public void testDetectExtensionN3ByMeta()
                                     throws IOException

  Throws:
    `IOException`

### testDetectXHTMLByMeta

    public void testDetectXHTMLByMeta()
                               throws IOException

  Throws:
    `IOException`

### testDetectTextHTMLByMeta

    public void testDetectTextHTMLByMeta()
                                  throws IOException

  Throws:
    `IOException`

### testDetectTextPlainByMeta

    public void testDetectTextPlainByMeta()
                                   throws IOException

  Throws:
    `IOException`

### testDetectApplicationXMLByMeta

    public void testDetectApplicationXMLByMeta()
                                        throws IOException

  Throws:
    `IOException`

### testDetectApplicationCSVByMeta

    public void testDetectApplicationCSVByMeta()
                                        throws IOException

  Throws:
    `IOException`

### testRDFXMLByContentAndName

    public void testRDFXMLByContentAndName()
                                    throws Exception

  Throws:
    `Exception`

### testTriXByContentAndName

    public void testTriXByContentAndName()
                                  throws Exception

  Throws:
    `Exception`

### testRSS1ByContentAndName

    public void testRSS1ByContentAndName()
                                  throws Exception

  Throws:
    `Exception`

### testRSS2ByContentAndName

    public void testRSS2ByContentAndName()
                                  throws Exception

  Throws:
    `Exception`

### testDetectRDFN3ByContentAndName

    public void testDetectRDFN3ByContentAndName()
                                         throws Exception

  Throws:
    `Exception`

### testDetectRDFNQuadsByContentAndName

    public void testDetectRDFNQuadsByContentAndName()
                                             throws Exception

  Throws:
    `Exception`

### testAtomByContentAndName

    public void testAtomByContentAndName()
                                  throws Exception

  Throws:
    `Exception`

### testHTMLByContentAndName

    public void testHTMLByContentAndName()
                                  throws Exception

  Throws:
    `Exception`

### testXHTMLByContentAndName

    public void testXHTMLByContentAndName()
                                   throws Exception

  Throws:
    `Exception`

### testWSDLByContentAndName

    public void testWSDLByContentAndName()
                                  throws Exception

  Throws:
    `Exception`

### testZipByContentAndName

    public void testZipByContentAndName()
                                 throws Exception

  Throws:
    `Exception`

### testRDFaByContentAndName

    public void testRDFaByContentAndName()
                                  throws Exception

  Throws:
    `Exception`

### testCSVByContentAndName

    public void testCSVByContentAndName()
                                 throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.